al_get_shader_platform(3)

NAME

al_get_shader_platform - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_SHADER_PLATFORM al_get_shader_platform(ALLEGRO_SHADER *shader)

DESCRIPTION

Returns the platform the shader was created with (either ALLEGRO_SHADER_HLSL or ALLEGRO_SHADER_GLSL).

SINCE

5.1.6

SEE ALSO

al_create_shader(3)